#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

DEB_CONFIGURE_SCRIPT := ./autogen.sh
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                             --disable-update-mimedb

DEB_DH_MAKESHLIBS_ARGS_unityx-control-center = --no-act
DEB_DH_MAKESHLIBS_ARGS_libunityx-control-center1 += -- -c4

binary-post-install/unityx-control-center::
	./panels/info/logo-generator --logo panels/info/UnityLogoBlank.png --text "unityX" --output debian/unityx-control-center/usr/share/unityx-control-center/ui/UnityLogo.png

common-binary-post-install-arch:: list-missing
